List teamspaces
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"cloud_provider": "aws",
"name": "<string>",
"access": "open",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspaces
List teamspaces
Returns the list of teamspaces within your organization.
GET
/
organization
/
teamspaces
List teamspaces
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"cloud_provider": "aws",
"name": "<string>",
"access": "open",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}